ALTER TABLE `shd_clients` ADD COLUMN `is_open_credit_limit` TINYINT(1) NOT NULL DEFAULT '0' COMMENT '1:开启信用额';
ALTER TABLE `shd_clients` ADD COLUMN `credit_limit` DECIMAL(12,2) UNSIGNED NOT NULL DEFAULT '0.00' COMMENT '信用额';
ALTER TABLE `shd_clients` ADD COLUMN `credit_limit_balance` DECIMAL(12,2) UNSIGNED NOT NULL DEFAULT '0.00' COMMENT '信用额余额';
ALTER TABLE `shd_clients` ADD COLUMN `repayment_date` INT(11) NOT NULL DEFAULT '0' COMMENT '还款日';
ALTER TABLE `shd_clients` ADD COLUMN `bill_generation_date` INT(11) NOT NULL DEFAULT '0' COMMENT '账单生成日';
ALTER TABLE `shd_clients` ADD COLUMN `bill_repayment_period` INT(11) NOT NULL DEFAULT '0' COMMENT '账单还款期限';
ALTER TABLE `shd_clients` ADD COLUMN `credit_limit_create_time` INT(11) NOT NULL DEFAULT '0' COMMENT '信用额启用时间';
ALTER TABLE `shd_invoices` ADD COLUMN `use_credit_limit` TINYINT(1) NOT NULL DEFAULT '0' COMMENT '1:使用信用额';
ALTER TABLE `shd_invoices` ADD COLUMN `invoice_id` INT(11) NOT NULL DEFAULT '0' COMMENT '信用额关联账单';
CREATE TABLE `shd_credit_limit` (
  `id` INT(10) NOT NULL AUTO_INCREMENT,
  `uid` INT(10) NOT NULL DEFAULT '0',
  `create_time` INT(10) NOT NULL DEFAULT '0',
  `description` TEXT NOT NULL COMMENT '''',
  `type` VARCHAR(50) NOT NULL DEFAULT '',
  `notes` TEXT NOT NULL COMMENT '备注',
  `handle_id` INT(10) NOT NULL DEFAULT '0' COMMENT '操作人id',
  `ip` VARCHAR(20) DEFAULT '' COMMENT '用户ip',
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`)
) ENGINE=INNODB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT;
ALTER TABLE `shd_nav` ADD COLUMN `lang` TEXT NOT NULL COMMENT '多语言';
UPDATE `shd_nav` SET `lang`=CASE `id` WHEN 1 THEN '{\"chinese\":\"\\u7528\\u6237\\u4e2d\\u5fc3\",\"chinese_tw\":\"\\u7528\\u6236\\u4e2d\\u5fc3\",\"english\":\"User Center\"}' WHEN 2 THEN '{\"chinese\":\"\\u4ea7\\u54c1\\u4e0e\\u670d\\u52a1\",\"chinese_tw\":\"\\u7522\\u54c1\\u8207\\u670d\\u52d9\",\"english\":\"products and services\"}' WHEN 3 THEN '{\"chinese\":\"\\u8d26\\u6237\\u7ba1\\u7406\",\"chinese_tw\":\"\\u8cec\\u6236\\u7ba1\\u7406\",\"english\":\"Account management\"}' WHEN 4 THEN '{\"chinese\":\"\\u8d22\\u52a1\\u7ba1\\u7406\",\"chinese_tw\":\"\\u8ca1\\u52d9\\u7ba1\\u7406\",\"english\":\"Financial Management\"}' WHEN 5 THEN '{\"chinese\":\"\\u6280\\u672f\\u652f\\u6301\",\"chinese_tw\":\"\\u6280\\u8853\\u652f\\u6301\",\"english\":\"Technical Support\"}' WHEN 6 THEN '{\"chinese\":\"\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3\",\"chinese_tw\":\"\\u958b\\u767c\\u8005\\u4e2d\\u5fc3\",\"english\":\"Developer Center\"}' WHEN 7 THEN '{\"chinese\":\"\\u63a8\\u4ecb\\u8ba1\\u5212\",\"chinese_tw\":\"\\u63a8\\u4ecb\\u8a08\\u5283\",\"english\":\"Referral plan\"}' WHEN 8 THEN '{\"chinese\":\"\\u8ba2\\u8d2d\\u4ea7\\u54c1\",\"chinese_tw\":\"\\u8a02\\u8cfc\\u7522\\u54c1\",\"english\":\"Ordering Products\"}' WHEN 9 THEN '{\"chinese\":\"\\u4e91\\u670d\\u52a1\\u5668\",\"chinese_tw\":\"\\u96f2\\u670d\\u52d9\\u5668\",\"english\":\"Cloud Server\"}' WHEN 10 THEN '{\"chinese\":\"\\u72ec\\u7acb\\u670d\\u52a1\\u5668\",\"chinese_tw\":\"\\u7368\\u7acb\\u670d\\u52d9\\u5668\",\"english\":\"Standalone server\"}' WHEN 11 THEN '{\"chinese\":\"\\u5176\\u4ed6\\u670d\\u52a1\\u5668\",\"chinese_tw\":\"\\u5176\\u4ed6\\u670d\\u52d9\\u5668\",\"english\":\"Other servers\"}' WHEN 12 THEN '{\"chinese\":\"\\u4e2a\\u4eba\\u4fe1\\u606f\",\"chinese_tw\":\"\\u500b\\u4eba\\u4fe1\\u606f\",\"english\":\"Personal information\"}' WHEN 13 THEN '{\"chinese\":\"\\u5b89\\u5168\\u4e2d\\u5fc3\",\"chinese_tw\":\"\\u5b89\\u5168\\u4e2d\\u5fc3\",\"english\":\"Security center\"}' WHEN 14 THEN '{\"chinese\":\"\\u5b9e\\u540d\\u8ba4\\u8bc1\",\"chinese_tw\":\"\\u5be6\\u540d\\u8a8d\\u8b49\",\"english\":\"Verified\"}' WHEN 15 THEN '{\"chinese\":\"\\u6d88\\u606f\\u4e2d\\u5fc3\",\"chinese_tw\":\"\\u6d88\\u606f\\u4e2d\\u5fc3\",\"english\":\"Message Center\"}' WHEN 17 THEN '{\"chinese\":\"\\u7cfb\\u7edf\\u65e5\\u5fd7\",\"chinese_tw\":\"\\u7cfb\\u7d71\\u65e5\\u8a8c\",\"english\":\"System log\"}' WHEN 19 THEN '{\"chinese\":\"\\u8d26\\u5355\\u5217\\u8868\",\"chinese_tw\":\"\\u8cec\\u55ae\\u5217\\u8868\",\"english\":\"Bill list\"}' WHEN 21 THEN '{\"chinese\":\"\\u53d1\\u7968\\u5217\\u8868\",\"chinese_tw\":\"\\u767c\\u7968\\u5217\\u8868\",\"english\":\"Invoice list\"}' WHEN 22 THEN '{\"chinese\":\"\\u53d1\\u7968\\u62ac\\u5934\",\"chinese_tw\":\"\\u767c\\u7968\\u62ac\\u982d\",\"english\":\"Invoice\"}' WHEN 23 THEN '{\"chinese\":\"\\u6536\\u8d27\\u5730\\u5740\",\"chinese_tw\":\"\\u6536\\u8ca8\\u5730\\u5740\",\"english\":\"Shipping address\"}' WHEN 24 THEN '{\"chinese\":\"\\u8d26\\u6237\\u5145\\u503c\",\"chinese_tw\":\"\\u8cec\\u6236\\u5145\\u503c\",\"english\":\"Account recharge\"}' WHEN 25 THEN '{\"chinese\":\"\\u5de5\\u5355\\u5217\\u8868\",\"chinese_tw\":\"\\u5de5\\u55ae\\u5217\\u8868\",\"english\":\"Work order list\"}' WHEN 26 THEN '{\"chinese\":\"\\u63d0\\u4ea4\\u5de5\\u5355\",\"chinese_tw\":\"\\u63d0\\u4ea4\\u5de5\\u55ae\",\"english\":\"Submit a work order\"}' WHEN 27 THEN '{\"chinese\":\"\\u5e2e\\u52a9\\u4e2d\\u5fc3\",\"chinese_tw\":\"\\u5e6b\\u52a9\\u4e2d\\u5fc3\",\"english\":\"Help center\"}' WHEN 28 THEN '{\"chinese\":\"\\u65b0\\u95fb\\u4e2d\\u5fc3\",\"chinese_tw\":\"\\u65b0\\u805e\\u4e2d\\u5fc3\",\"english\":\"News Center\"}' WHEN 29 THEN '{\"chinese\":\"\\u8d44\\u6e90\\u4e0b\\u8f7d\",\"chinese_tw\":\"\\u8cc7\\u6e90\\u4e0b\\u8f09\",\"english\":\"Download\"}' WHEN 30 THEN '{\"chinese\":\"\\u6211\\u7684\\u5e94\\u7528\",\"chinese_tw\":\"\\u6211\\u7684\\u61c9\\u7528\",\"english\":\"My apps\"}' WHEN 31 THEN '{\"chinese\":\"\\u6536\\u76ca\",\"chinese_tw\":\"\\u6536\\u76ca\",\"english\":\"income\"}' WHEN 32 THEN '{\"chinese\":\"\\u6536\\u76ca\",\"chinese_tw\":\"\\u6536\\u76ca\",\"english\":\"income\"}' WHEN 33 THEN '{\"chinese\":\"\\u4ea4\\u6613\",\"chinese_tw\":\"\\u4ea4\\u6613\",\"english\":\"transaction\"}' WHEN 34 THEN '{\"chinese\":\"\\u65e5\\u5fd7\",\"chinese_tw\":\"\\u65e5\\u8a8c\",\"english\":\"Log\"}' WHEN 37 THEN '{\"chinese\":\"\\u4fe1\\u7528\\u7ba1\\u7406\",\"chinese_tw\":\"\\u4fe1\\u7528\\u7ba1\\u7406\",\"english\":\"Credit management\"}' WHEN 35 THEN '{\"chinese\":\"\\u4ea4\\u6613\\u8bb0\\u5f55\",\"chinese_tw\":\"\\u4ea4\\u6613\\u8a18\\u9304\",\"english\":\"Transaction Record\"}' WHEN 20 THEN '{\"chinese\":\"\\u53d1\\u7968\\u7ba1\\u7406\",\"chinese_tw\":\"\\u767c\\u7968\\u7ba1\\u7406\",\"english\":\"Invoice management\"}' END WHERE `id` IN ('1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','17','19','21','22','23','24','25','26','27','28','29','30','31','32','33','34','37','35','20');
insert  into `shd_message_template`(`template_id`,`range_type`,`title`,`content`,`remark`,`status`,`sms_operator`,`create_time`,`update_time`) values
	('',0,'信用额账单提醒','您有一笔信用额账单产生:账单号#${invoiceid},金额${total},请及时付款，以免相关产品被暂停','信用额账单提醒',0,'aliyun',0,0),
	('',0,'信用额账单提醒','您有一笔信用额账单产生:账单号#@var(invoiceid),金额@var(total),请及时付款，以免相关产品被暂停','信用额账单提醒',0,'submail',0,1616074614),
	('',0,'信用额账单提醒','您有一笔信用额账单产生:账单号#{invoiceid},金额{total},请及时付款，以免相关产品被暂停','信用额账单提醒',0,'smsbao',0,0),
	('',0,'信用额账单逾期提醒','您有一笔信用额账单#${invoiceid}，金额${total}逾期未支付，现已被暂停相关产品所有功能，请及时支付','信用额账单逾期提醒',0,'aliyun',0,0),
	('',0,'信用额账单逾期提醒','您有一笔信用额账单#@var(invoiceid)，金额@var(total)逾期未支付，现已被暂停相关产品所有功能，请及时支付','信用额账单逾期提醒',0,'submail',0,1616070237),
	('',0,'信用额账单逾期提醒','您有一笔信用额账单#{invoiceid}，金额{total}逾期未支付，现已被暂停相关产品所有功能，请及时支付','信用额账单逾期提醒',0,'smsbao',0,0),
	('',0,'信用额账单未支付暂停产品','您购买的产品：${product_name}，主机名（${hostname}）由于未在有效期内支付信用额账单，现已被暂停所有功能.如需恢复使用，请尽快支付，否则产品将会在${product_end_time}日自动删除.','信用额账单未支付暂停产品',0,'aliyun',0,0),
	('',0,'信用额账单未支付暂停产品','您购买的产品：@var(product_name)，主机名（@var(hostname)）由于未在有效期内支付信用额账单，现已被暂停所有功能.如需恢复使用，请尽快支付，否则产品将会在@var(product_end_time)日自动删除.','信用额账单未支付暂停产品',0,'submail',0,1616070239),
	('',0,'信用额账单未支付暂停产品','您购买的产品：{product_name}，主机名（{hostname}）由于未在有效期内支付信用额账单，现已被暂停所有功能.如需恢复使用，请尽快支付，否则产品将会在{product_end_time}日自动删除.','信用额账单未支付暂停产品',0,'smsbao',0,0);
insert  into `shd_email_templates`(`type`,`name`,`name_en`,`subject`,`message`,`attachments`,`fromname`,`fromemail`,`disabled`,`custom`,`language`,`copyto`,`blind_copy_to`,`plaintext`,`create_time`,`update_time`) values ('invoice','信用额账单已生成','Credit_Invoice','{SYSTEM_COMPANYNAME}信用额账单已生成','&lt;!DOCTYPE html&gt;\n&lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt;\n\n&lt;head&gt;\n  &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=UTF-8&quot; /&gt;\n  &lt;meta name=&quot;viewport&quot; content=&quot;width=device-width, initial-scale=1.0&quot; /&gt;\n&lt;/head&gt;\n\n&lt;body style=&quot;margin: 0; padding: 0;&quot;&gt;\n&lt;table style=&quot;height: 100vh;&quot; width=&quot;100%&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;\n&lt;tbody&gt;\n&lt;tr&gt;\n&lt;td style=&quot;position: relative;&quot;&gt;\n&lt;table style=&quot;margin: 0px; padding: 0px; border-collapse: collapse; width: 70vw; height: 100vh; position: absolute; top: 0; left: 15%;&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; align=&quot;center&quot;&gt;\n&lt;tbody&gt;\n&lt;tr&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; position: relative; width: 100%; height: 360px; background-color: #142467;&quot;&gt;&lt;span style=&quot;margin: 0px; padding: 0px; display: inline-block; position: absolute; bottom: 0; margin-left: 2%; width: 98%; height: 50px; background-color: #007bfc; box-sizing: border-box;&quot;&gt;&amp;nbsp;&lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; position: relative; flex: 1 1 0%; height: 506px;&quot;&gt;&lt;span style=&quot;margin: 0px; padding: 0px; display: inline-block; position: absolute; bottom: 0; left: 50%; width: 50%; height: 50px; background-color: #007bfc; box-sizing: border-box;&quot;&gt;&amp;nbsp;&lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; position: relative; width: 100%; height: 80px; background-color: #1d1f2e;&quot;&gt;&amp;nbsp;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;/tbody&gt;\n&lt;/table&gt;\n&lt;table style=&quot;margin: 0px; padding: 0px; border-collapse: collapse; width: 60vw; height: 100vh; position: absolute; top: 0; left: 20%;&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; align=&quot;center&quot;&gt;&lt;!-- 邮件标题 --&gt;\n&lt;tbody&gt;\n&lt;tr style=&quot;margin: 0; padding: 0; height: 160px;&quot;&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; height: 160px; text-align: center;&quot;&gt;&lt;span style=&quot;margin: 0; padding: 0; display: inline-block; font-size: 32px; width: 128px; font-family: MicrosoftYaHei; letter-spacing: 0px; color: #ffffff; float: left; white-space: nowrap;&quot;&gt;{SYSTEM_COMPANYNAME}&lt;/span&gt; &lt;span style=&quot;margin: 0; padding: 0; display: inline-block; font-family: MicrosoftYaHei; font-size: 24px; letter-spacing: 0px; color: #ffffff;&quot;&gt;[{SYSTEM_COMPANYNAME}]信用额账单待支付&lt;/span&gt; &lt;span style=&quot;margin: 0; padding: 0; display: inline-block; font-size: 32px; width: 128px;&quot;&gt;&amp;nbsp;&lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;!-- 邮件内容 --&gt;\n&lt;tr style=&quot;margin: 0; padding: 0; height: 724px;&quot;&gt;\n&lt;td style=&quot;margin: 0px; padding: 50px 5%; font-size: 14px; box-sizing: border-box; min-height: 724px; background: #fff; box-shadow: 0px 0px 8px 0px rgba(117, 117, 117, 0.48); border-radius: 2px; line-height: 27px; color: #333333; vertical-align: initial;&quot;&gt;&lt;span style=&quot;margin: 0; padding: 0; font-family: MicrosoftYaHei; font-size: 18px; line-height: 24px; letter-spacing: 0px; color: #1d1f2e;&quot;&gt; &lt;strong&gt;尊敬的用户{USERNAME}&lt;/strong&gt; &lt;/span&gt;&lt;br /&gt;&lt;br /&gt;&lt;span style=&quot;margin: 0; padding: 0; display: inline-block; margin-top: 55px;&quot;&gt;您有一笔信用额账单已产生，账单号#{INVOICE_ID}，金额{INVOICE_TOTAL_FEE}。&lt;/span&gt;&lt;br /&gt;&lt;span style=&quot;margin: 0; padding: 0; display: inline-block; margin-top: 60px;&quot;&gt;为了避免所关联产品被暂停，请您及时付款。&lt;/span&gt;&lt;br /&gt;&lt;span style=&quot;margin: 0; padding: 0; color: #303133; font-family: &#039;Alibaba PuHuiTi&#039;; font-size: 16px;&quot;&gt;&amp;nbsp;&lt;/span&gt; &lt;span style=&quot;margin: 0; padding: 0; display: inline-block; width: 100%; text-align: right;&quot;&gt; &lt;strong&gt;{SYSTEM_COMPANYNAME}&lt;/strong&gt; &lt;/span&gt;&lt;br /&gt;&lt;span style=&quot;margin: 0; padding: 0; margin-top: 20px; display: inline-block; width: 100%; text-align: right;&quot;&gt;{SEND_TIME}&lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;!-- 邮件底部 --&gt;\n&lt;tr&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; height: 60px; text-align: right;&quot;&gt;&lt;span style=&quot;margin: 0px; padding: 0px; font-size: 14px; font-family: SourceHanSansCN-Light; color: #959799; margin-right: 50px;&quot;&gt; &lt;a style=&quot;text-decoration: none; font-size: 14px; color: #959799;&quot;&gt;网站首页&lt;/a&gt; &lt;/span&gt; &lt;span style=&quot;margin: 0px; padding: 0px; font-size: 14px; font-family: SourceHanSansCN-Light; color: #959799; margin-right: 50px;&quot;&gt; &lt;a style=&quot;text-decoration: none; font-size: 14px; color: #959799;&quot;&gt;会员中心&lt;/a&gt; &lt;/span&gt; &lt;span style=&quot;margin: 0px; padding: 0px; font-size: 14px; font-family: SourceHanSansCN-Light; color: #959799; margin-right: 50px;&quot;&gt; &lt;a style=&quot;text-decoration: none; font-size: 14px; color: #959799;&quot;&gt;帮助中心&lt;/a&gt; &lt;/span&gt; &lt;span style=&quot;margin: 0px; padding: 0px; font-size: 14px; font-family: SourceHanSansCN-Light; color: #959799; margin-right: 50px;&quot;&gt; &lt;a style=&quot;text-decoration: none; font-size: 14px; color: #959799;&quot;&gt;提交工单&lt;/a&gt; &lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;/tbody&gt;\n&lt;/table&gt;\n&lt;/td&gt;\n&lt;/tr&gt;\n&lt;/tbody&gt;\n&lt;/table&gt;\n&lt;/body&gt;\n\n&lt;/html&gt;',NULL,'顺戴财务4444','',0,0,'','','',0,1610433971,1610434047),('product','信用额账单未支付暂停产品','Credit_Service_Suspension','{SYSTEM_COMPANYNAME}信用额账单未支付暂停产品','&lt;!DOCTYPE html&gt;\n&lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt;\n\n&lt;head&gt;\n  &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=UTF-8&quot; /&gt;\n  &lt;meta name=&quot;viewport&quot; content=&quot;width=device-width, initial-scale=1.0&quot; /&gt;\n&lt;/head&gt;\n\n&lt;body style=&quot;margin: 0; padding: 0;&quot;&gt;\n&lt;table style=&quot;height: 100vh;&quot; width=&quot;100%&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;\n&lt;tbody&gt;\n&lt;tr&gt;\n&lt;td style=&quot;position: relative;&quot;&gt;\n&lt;table style=&quot;margin: 0px; padding: 0px; border-collapse: collapse; width: 70vw; height: 100vh; position: absolute; top: 0; left: 15%;&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; align=&quot;center&quot;&gt;\n&lt;tbody&gt;\n&lt;tr&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; position: relative; width: 100%; height: 360px; background-color: #142467;&quot;&gt;&lt;span style=&quot;margin: 0px; padding: 0px; display: inline-block; position: absolute; bottom: 0; margin-left: 2%; width: 98%; height: 50px; background-color: #007bfc; box-sizing: border-box;&quot;&gt;&amp;nbsp;&lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; position: relative; flex: 1 1 0%; height: 506px;&quot;&gt;&lt;span style=&quot;margin: 0px; padding: 0px; display: inline-block; position: absolute; bottom: 0; left: 50%; width: 50%; height: 50px; background-color: #007bfc; box-sizing: border-box;&quot;&gt;&amp;nbsp;&lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; position: relative; width: 100%; height: 80px; background-color: #1d1f2e;&quot;&gt;&amp;nbsp;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;/tbody&gt;\n&lt;/table&gt;\n&lt;table style=&quot;margin: 0px; padding: 0px; border-collapse: collapse; width: 60vw; height: 100vh; position: absolute; top: 0; left: 20%;&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; align=&quot;center&quot;&gt;&lt;!-- 邮件标题 --&gt;\n&lt;tbody&gt;\n&lt;tr style=&quot;margin: 0; padding: 0; height: 160px;&quot;&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; height: 160px; text-align: center;&quot;&gt;&lt;span style=&quot;margin: 0; padding: 0; display: inline-block; font-size: 32px; width: 128px; font-family: MicrosoftYaHei; letter-spacing: 0px; color: #ffffff; float: left; white-space: nowrap;&quot;&gt;{SYSTEM_COMPANYNAME}&lt;/span&gt; &lt;span style=&quot;margin: 0; padding: 0; display: inline-block; font-family: MicrosoftYaHei; font-size: 24px; letter-spacing: 0px; color: #ffffff;&quot;&gt;[{SYSTEM_COMPANYNAME}]信用额账单未支付，产品停用&lt;/span&gt; &lt;span style=&quot;margin: 0; padding: 0; display: inline-block; font-size: 32px; width: 128px;&quot;&gt;&amp;nbsp;&lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;!-- 邮件内容 --&gt;\n&lt;tr style=&quot;margin: 0; padding: 0; height: 724px;&quot;&gt;\n&lt;td style=&quot;margin: 0px; padding: 50px 5%; font-size: 14px; box-sizing: border-box; min-height: 724px; background: #fff; box-shadow: 0px 0px 8px 0px rgba(117, 117, 117, 0.48); border-radius: 2px; line-height: 27px; color: #333333; vertical-align: initial;&quot;&gt;&lt;span style=&quot;margin: 0; padding: 0; font-family: MicrosoftYaHei; font-size: 18px; line-height: 24px; letter-spacing: 0px; color: #1d1f2e;&quot;&gt; &lt;strong&gt;尊敬的用户{USERNAME}&lt;/strong&gt; &lt;/span&gt;&lt;br /&gt;&lt;br /&gt;&lt;span style=&quot;margin: 0; padding: 0; display: inline-block; margin-top: 55px;&quot;&gt;您购买的{PRODUCT_NAME}（{HOSTNAME}）由于未在有效期内支付信用额账单，现已被暂停所有功能。&lt;/span&gt;&lt;br /&gt;&lt;span style=&quot;margin: 0; padding: 0; display: inline-block; margin-top: 60px;&quot;&gt;如需恢复使用，请尽快支付，否则产品将会在{PRODUCT_END_TIME}日自动删除。&lt;/span&gt;&lt;br /&gt;&lt;span style=&quot;margin: 0; padding: 0; color: #303133; font-family: &#039;Alibaba PuHuiTi&#039;; font-size: 16px;&quot;&gt;&amp;nbsp;&lt;/span&gt; &lt;span style=&quot;margin: 0; padding: 0; display: inline-block; width: 100%; text-align: right;&quot;&gt; &lt;strong&gt;{SYSTEM_COMPANYNAME}&lt;/strong&gt; &lt;/span&gt;&lt;br /&gt;&lt;span style=&quot;margin: 0; padding: 0; margin-top: 20px; display: inline-block; width: 100%; text-align: right;&quot;&gt;{SEND_TIME}&lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;!-- 邮件底部 --&gt;\n&lt;tr&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; height: 60px; text-align: right;&quot;&gt;&lt;span style=&quot;margin: 0px; padding: 0px; font-size: 14px; font-family: SourceHanSansCN-Light; color: #959799; margin-right: 50px;&quot;&gt; &lt;a style=&quot;text-decoration: none; font-size: 14px; color: #959799;&quot;&gt;网站首页&lt;/a&gt; &lt;/span&gt; &lt;span style=&quot;margin: 0px; padding: 0px; font-size: 14px; font-family: SourceHanSansCN-Light; color: #959799; margin-right: 50px;&quot;&gt; &lt;a style=&quot;text-decoration: none; font-size: 14px; color: #959799;&quot;&gt;会员中心&lt;/a&gt; &lt;/span&gt; &lt;span style=&quot;margin: 0px; padding: 0px; font-size: 14px; font-family: SourceHanSansCN-Light; color: #959799; margin-right: 50px;&quot;&gt; &lt;a style=&quot;text-decoration: none; font-size: 14px; color: #959799;&quot;&gt;帮助中心&lt;/a&gt; &lt;/span&gt; &lt;span style=&quot;margin: 0px; padding: 0px; font-size: 14px; font-family: SourceHanSansCN-Light; color: #959799; margin-right: 50px;&quot;&gt; &lt;a style=&quot;text-decoration: none; font-size: 14px; color: #959799;&quot;&gt;提交工单&lt;/a&gt; &lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;/tbody&gt;\n&lt;/table&gt;\n&lt;/td&gt;\n&lt;/tr&gt;\n&lt;/tbody&gt;\n&lt;/table&gt;\n&lt;/body&gt;\n\n&lt;/html&gt;',NULL,'顺戴财务4444','',0,0,'','','',0,1610435527,1610435587),('invoice','信用额账单逾期提醒','Credit_Invoice_Reminder','{SYSTEM_COMPANYNAME}信用额账单逾期提醒','&lt;!DOCTYPE html&gt;\n&lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt;\n\n&lt;head&gt;\n  &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=UTF-8&quot; /&gt;\n  &lt;meta name=&quot;viewport&quot; content=&quot;width=device-width, initial-scale=1.0&quot; /&gt;\n&lt;/head&gt;\n\n&lt;body style=&quot;margin: 0; padding: 0;&quot;&gt;\n&lt;table style=&quot;height: 100vh;&quot; width=&quot;100%&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;\n&lt;tbody&gt;\n&lt;tr&gt;\n&lt;td style=&quot;position: relative;&quot;&gt;\n&lt;table style=&quot;margin: 0px; padding: 0px; border-collapse: collapse; width: 70vw; height: 100vh; position: absolute; top: 0; left: 15%;&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; align=&quot;center&quot;&gt;\n&lt;tbody&gt;\n&lt;tr&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; position: relative; width: 100%; height: 360px; background-color: #142467;&quot;&gt;&lt;span style=&quot;margin: 0px; padding: 0px; display: inline-block; position: absolute; bottom: 0; margin-left: 2%; width: 98%; height: 50px; background-color: #007bfc; box-sizing: border-box;&quot;&gt;&amp;nbsp;&lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; position: relative; flex: 1 1 0%; height: 506px;&quot;&gt;&lt;span style=&quot;margin: 0px; padding: 0px; display: inline-block; position: absolute; bottom: 0; left: 50%; width: 50%; height: 50px; background-color: #007bfc; box-sizing: border-box;&quot;&gt;&amp;nbsp;&lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; position: relative; width: 100%; height: 80px; background-color: #1d1f2e;&quot;&gt;&amp;nbsp;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;/tbody&gt;\n&lt;/table&gt;\n&lt;table style=&quot;margin: 0px; padding: 0px; border-collapse: collapse; width: 60vw; height: 100vh; position: absolute; top: 0; left: 20%;&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; align=&quot;center&quot;&gt;&lt;!-- 邮件标题 --&gt;\n&lt;tbody&gt;\n&lt;tr style=&quot;margin: 0; padding: 0; height: 160px;&quot;&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; height: 160px; text-align: center;&quot;&gt;&lt;span style=&quot;margin: 0; padding: 0; display: inline-block; font-size: 32px; width: 128px; font-family: MicrosoftYaHei; letter-spacing: 0px; color: #ffffff; float: left; white-space: nowrap;&quot;&gt;{SYSTEM_COMPANYNAME}&lt;/span&gt; &lt;span style=&quot;margin: 0; padding: 0; display: inline-block; font-family: MicrosoftYaHei; font-size: 24px; letter-spacing: 0px; color: #ffffff;&quot;&gt;[{SYSTEM_COMPANYNAME}]信用额账单逾期提醒&lt;/span&gt; &lt;span style=&quot;margin: 0; padding: 0; display: inline-block; font-size: 32px; width: 128px;&quot;&gt;&amp;nbsp;&lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;!-- 邮件内容 --&gt;\n&lt;tr style=&quot;margin: 0; padding: 0; height: 724px;&quot;&gt;\n&lt;td style=&quot;margin: 0px; padding: 50px 5%; font-size: 14px; box-sizing: border-box; min-height: 724px; background: #fff; box-shadow: 0px 0px 8px 0px rgba(117, 117, 117, 0.48); border-radius: 2px; line-height: 27px; color: #333333; vertical-align: initial;&quot;&gt;&lt;span style=&quot;margin: 0; padding: 0; font-family: MicrosoftYaHei; font-size: 18px; line-height: 24px; letter-spacing: 0px; color: #1d1f2e;&quot;&gt; &lt;strong&gt;尊敬的用户{USERNAME}&lt;/strong&gt; &lt;/span&gt;&lt;br /&gt;&lt;br /&gt;&lt;span style=&quot;margin: 0; padding: 0; display: inline-block; margin-top: 55px;&quot;&gt;您有一笔信用额账单#{INVOICE_ID}，金额{INVOICE_TOTAL_FEE}逾期未支付，现已被暂停相关产品所有功能。&lt;br /&gt;&lt;/span&gt;&lt;span style=&quot;margin: 0; padding: 0; display: inline-block; margin-top: 60px;&quot;&gt;如需恢复使用，请尽快支付，否则所关联的产品将会被删除。&lt;/span&gt;&lt;br /&gt;&lt;span style=&quot;margin: 0; padding: 0; color: #303133; font-family: &#039;Alibaba PuHuiTi&#039;; font-size: 16px;&quot;&gt;&amp;nbsp;&lt;/span&gt; &lt;span style=&quot;margin: 0; padding: 0; display: inline-block; width: 100%; text-align: right;&quot;&gt; &lt;strong&gt;{SYSTEM_COMPANYNAME}&lt;/strong&gt; &lt;/span&gt;&lt;br /&gt;&lt;span style=&quot;margin: 0; padding: 0; margin-top: 20px; display: inline-block; width: 100%; text-align: right;&quot;&gt;{SEND_TIME}&lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;!-- 邮件底部 --&gt;\n&lt;tr&gt;\n&lt;td style=&quot;margin: 0px; padding: 0px; height: 60px; text-align: right;&quot;&gt;&lt;span style=&quot;margin: 0px; padding: 0px; font-size: 14px; font-family: SourceHanSansCN-Light; color: #959799; margin-right: 50px;&quot;&gt; &lt;a style=&quot;text-decoration: none; font-size: 14px; color: #959799;&quot;&gt;网站首页&lt;/a&gt; &lt;/span&gt; &lt;span style=&quot;margin: 0px; padding: 0px; font-size: 14px; font-family: SourceHanSansCN-Light; color: #959799; margin-right: 50px;&quot;&gt; &lt;a style=&quot;text-decoration: none; font-size: 14px; color: #959799;&quot;&gt;会员中心&lt;/a&gt; &lt;/span&gt; &lt;span style=&quot;margin: 0px; padding: 0px; font-size: 14px; font-family: SourceHanSansCN-Light; color: #959799; margin-right: 50px;&quot;&gt; &lt;a style=&quot;text-decoration: none; font-size: 14px; color: #959799;&quot;&gt;帮助中心&lt;/a&gt; &lt;/span&gt; &lt;span style=&quot;margin: 0px; padding: 0px; font-size: 14px; font-family: SourceHanSansCN-Light; color: #959799; margin-right: 50px;&quot;&gt; &lt;a style=&quot;text-decoration: none; font-size: 14px; color: #959799;&quot;&gt;提交工单&lt;/a&gt; &lt;/span&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;/tbody&gt;\n&lt;/table&gt;\n&lt;/td&gt;\n&lt;/tr&gt;\n&lt;/tbody&gt;\n&lt;/table&gt;\n&lt;/body&gt;\n\n&lt;/html&gt;',NULL,'顺戴财务4444','',0,0,'','','',0,1610436260,1610436821);